A YANG Ethernet TSN network data model.

This model aims at interfacing between an Ethernet TSN network design tool (simulator, analysis) and hardware.
It relies on IANA, IEEE and IETF modules with some extensions/augmentations for the modeling of a an Ethernet TSN network including the configuration of each node, the traffic and associated behavior/constraints/requirements.

The development of this model started in the frame of the [EDEN project](https://www.irt-saintexupery.com/wp-content/uploads/2021/07/EDEN-Project.pdf) at the [Instite of Reseach and Technology (IRT) Saint-Exupéry](https://www.irt-saintexupery.com).
It is still work in progress.

Repository contents:
- standard: IANA, IEEE and IETF standard modules.
- standard_changed: standard modules that had to be modified.
- irt: IRT modules.

Contact: embedded-systems@irt-saintexupery.com
